package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjFdsgcsZjyFdxnb;

/**
 * 设计信息-分段施工措施-分段钻井液性能设计Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-20
 */
public interface SjFdsgcsZjyFdxnbMapper 
{
    /**
     * 查询设计信息-分段施工措施-分段钻井液性能设计
     * 
     * @param id 设计信息-分段施工措施-分段钻井液性能设计主键
     * @return 设计信息-分段施工措施-分段钻井液性能设计
     */
    public SjFdsgcsZjyFdxnb selectSjFdsgcsZjyFdxnbById(Long id);

    /**
     * 查询设计信息-分段施工措施-分段钻井液性能设计列表
     * 
     * @param sjFdsgcsZjyFdxnb 设计信息-分段施工措施-分段钻井液性能设计
     * @return 设计信息-分段施工措施-分段钻井液性能设计集合
     */
    public List<SjFdsgcsZjyFdxnb> selectSjFdsgcsZjyFdxnbList(SjFdsgcsZjyFdxnb sjFdsgcsZjyFdxnb);

    /**
     * 新增设计信息-分段施工措施-分段钻井液性能设计
     * 
     * @param sjFdsgcsZjyFdxnb 设计信息-分段施工措施-分段钻井液性能设计
     * @return 结果
     */
    public int insertSjFdsgcsZjyFdxnb(SjFdsgcsZjyFdxnb sjFdsgcsZjyFdxnb);

    /**
     * 修改设计信息-分段施工措施-分段钻井液性能设计
     * 
     * @param sjFdsgcsZjyFdxnb 设计信息-分段施工措施-分段钻井液性能设计
     * @return 结果
     */
    public int updateSjFdsgcsZjyFdxnb(SjFdsgcsZjyFdxnb sjFdsgcsZjyFdxnb);

    /**
     * 删除设计信息-分段施工措施-分段钻井液性能设计
     * 
     * @param id 设计信息-分段施工措施-分段钻井液性能设计主键
     * @return 结果
     */
    public int deleteSjFdsgcsZjyFdxnbById(Long id);

    /**
     * 批量删除设计信息-分段施工措施-分段钻井液性能设计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFdsgcsZjyFdxnbByIds(Long[] ids);

    int deleteSjFdsgcsZjyFdxnbByJh(String jh);

    int insertSjFdsgcsZjyFdxnbBatch(List<SjFdsgcsZjyFdxnb> sjFdsgcsZjyFdxnbList);

    int deleteSjFdsgcsZjyFdxnb(SjFdsgcsZjyFdxnb fdsgcsZjyFdxnb);

    int updateSjFdsgcsZjyFdxnbByJd(SjFdsgcsZjyFdxnb fdsgcsZjyFdxnb);

}
